- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ImR_Locator_Loader Class Reference

`#include <Locator_Loader.h>`

Inheritance diagram for ImR_Locator_Loader:

[legend]
Collaboration diagram for ImR_Locator_Loader:

[legend]
List of all members.

## Public Member Functions
| ImR_Locator_Loader ()
virtual int | init (int argc, ACE_TCHAR *argv[])
virtual int | fini (void)
virtual CORBA::Object_ptr | create_object (CORBA::ORB_ptr orb, int argc, ACE_TCHAR *argv[]) throw (CORBA::SystemException)
int | run (void)
## Private Member Functions
| ImR_Locator_Loader (const ImR_Locator_Loader &)
ImR_Locator_Loader & | operator= (const ImR_Locator_Loader &)
## Private Attributes
ImR_Locator_i | service_
Options | opts_
ACE_Auto_Ptr< ImR_Locator_ORB_Runner > | runner_

## Constructor & Destructor Documentation

ImR_Locator_Loader::ImR_Locator_Loader | ( |  | ) |

ImR_Locator_Loader::ImR_Locator_Loader | ( | const ImR_Locator_Loader & |  | ) | `[private]`

## Member Function Documentation

virtual CORBA::Object_ptr ImR_Locator_Loader::create_object | ( | CORBA::ORB_ptr | orb,
|  | int | argc,
|  | ACE_TCHAR * | argv[] |
| ) |  |  | throw (CORBA::SystemException)`[virtual]`

Implements TAO_Object_Loader.

int ImR_Locator_Loader::fini | ( | void |  | ) | `[virtual]`

Reimplemented from ACE_Shared_Object.

int ImR_Locator_Loader::init | ( | int | argc,
|  | ACE_TCHAR * | argv[] |
| ) |  |  | `[virtual]`

Reimplemented from ACE_Shared_Object.

ImR_Locator_Loader& ImR_Locator_Loader::operator= | ( | const ImR_Locator_Loader & |  | ) | `[private]`

int ImR_Locator_Loader::run | ( | void |  | ) |

## Member Data Documentation

Options ImR_Locator_Loader::opts_`[private]`

ACE_Auto_Ptr<ImR_Locator_ORB_Runner> ImR_Locator_Loader::runner_`[private]`

ImR_Locator_i ImR_Locator_Loader::service_`[private]`

The documentation for this class was generated from the following files:

- Locator_Loader.h
- Locator_Loader.cpp